<?php
/**
 * 
 *
 * @see moral_magazine_pro_custom_header_setup().
 */
function moral_magazine_pro_header_text_style() {
	// If we get this far, we have custom styles. Let's do this.
	$header_text_display = get_theme_mod( 'moral_magazine_pro_header_text_display' );

	$h1_h6_font_family = explode( '-', get_theme_mod( 'moral_magazine_pro_h1_h6_font_option'  ) );
    $h1_h6_font_family = implode( ' ', array_map( 'ucfirst', $h1_h6_font_family ) );

    $body_font_family = explode( '-', get_theme_mod( 'moral_magazine_pro_body_font_option'  ) );
    $body_font_family = implode( ' ', array_map( 'ucfirst', $body_font_family ) );

    $color = get_theme_mod( 'moral_magazine_pro_custom_color_scheme' );

    $sections = array( 'breaking_news', 'hero_banner', 'featured_news', 'editorial', 'slider', 'travel_news', 'business_news', 'education_news', 'trip_news', 'three_column', 'have_missed', 'post_slider', 'cta', 'sport', 'extra_news', 'grid_post', 'two_column', 'featured_post', 'latest_news', 'travel_advice' );
	?>
	<style type="text/css">
	<?php foreach ( $sections as $section ): ?>

		<?php if ( !empty( get_theme_mod( 'moral_magazine_pro_'.$section.'_top_padding', '' ) ) ): ?>
			
			.relative.<?php echo $section ?>{
				padding-top: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_'.$section.'_top_padding' ) ); ?>px !important;
			}
		<?php endif ?>

		<?php if ( !empty( get_theme_mod( 'moral_magazine_pro_'.$section.'_bottom_padding', '' ) ) ): ?>
			.relative.<?php echo $section ?>{
				padding-bottom: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_'.$section.'_bottom_padding' ) ); ?>px !important;
			}
		<?php endif ?>
	<?php endforeach ?>

	<?php if ( ! is_active_sidebar( 'main-post-left-sidebar' ) && ! is_active_sidebar( 'main-post-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			#main-post-wrapper #primary {
			    width: 100%;
			    padding: 0;
			}
		}			
	<?php endif ?>

	<?php if ( is_active_sidebar( 'main-post-left-sidebar' ) || is_active_sidebar( 'main-post-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			#main-post-wrapper #primary {
			    width: 75%;
			}
		}			
	<?php endif ?>

	<?php if ( is_active_sidebar( 'main-post-left-sidebar' ) && is_active_sidebar( 'main-post-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			#main-post-wrapper #primary {
			    width: 50%;
			}

			#education-news .comment{
				display: none;
			}

		}			
	<?php endif ?>

	<?php   if ( get_theme_mod( 'moral_magazine_pro_topbar_social_menu', true ) == false ): ?>
		@media screen and (min-width: 1025px){
			#top-navigation .icon-wrapper .contact-info .entry-meta:after {
			   display: none;
			}
		}

	<?php endif ?>

	<?php if ( !is_active_sidebar( 'main-post-left-sidebar' ) && is_active_sidebar( 'main-post-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			#main-post-wrapper #primary {
			    width: 75%;
			    padding: 0 30px 0 0;
			}
		}			
	<?php endif ?>

	<?php if ( is_active_sidebar( 'main-post-left-sidebar' ) && !is_active_sidebar( 'main-post-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			#main-post-wrapper #primary {
			    width: 75%;
			    padding: 0 0 0 30px;
			}

			#main-post-wrapper .left-sidebar{
				padding-right: 0px;
			}
		}			
	<?php endif ?>

	<?php if ( get_theme_mod( 'moral_magazine_pro_enable_footer_separator', false ) ): ?>
		.footer-widgets-area .wrapper {
		    border-bottom: 1px solid #fff !important;
		}
	<?php endif ?>
	<?php if ( ! is_active_sidebar( 'featured-news-left-sidebar' ) && ! is_active_sidebar( 'featured-news-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			.featured-news-post {
			    width: 100%;
			    padding: 0;
			}
		}			
	<?php endif ?>

	<?php if ( is_active_sidebar( 'featured-news-left-sidebar' ) || is_active_sidebar( 'featured-news-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			.featured-news-post {
			    width: 75%;
			}
		}			
	<?php endif ?>

	<?php if ( is_active_sidebar( 'featured-news-left-sidebar' ) && is_active_sidebar( 'featured-news-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			.featured-news-post {
			    width: 50%;
			}
		}			
	<?php endif ?>

	<?php if ( !is_active_sidebar( 'featured-news-left-sidebar' ) && is_active_sidebar( 'featured-news-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			.featured-news-post {
			    width: 75%;
			    padding: 0 30px 0 0;
			}
			.featured-right-sidebar {
			    padding-left: 0px;
			}
		}			
	<?php endif ?>

	<?php if ( is_active_sidebar( 'featured-news-left-sidebar' ) && !is_active_sidebar( 'featured-news-right-sidebar' ) ): ?>
		@media screen and (min-width: 1025px){
			.featured-news-post {
			    width: 75%;
			    padding: 0 0 0 30px;
			}

			.featured-left-sidebar {
			    padding-right: 0px;
			}
		}			
	<?php endif ?>


	.second-design .site-title a,
	.site-title a{
		color: #<?php echo esc_attr( get_header_textcolor() ); ?>;
	}

	.slick-slider {
	    margin-bottom: 0px;
	}

	.dark-version #site-navigation .site-title a {
	    color: #fff;
	}

	.second-design .site-description,
	.site-description {
		color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_header_tagline', '#2e2e2e' ) ); ?>;
	}

	
	
	<?php if ( !empty( $h1_h6_font_family ) ): ?>
		/*----------------------------------------
            Font Family
	    ------------------------------------------*/
	    h1,
	    h2,
	    h3,
	    h4,
	    h5,
	    h6,
	    .section-title
	    .sidebar-tab li,
	    .widget-title,
	    .post-navigation a, 
	    .posts-navigation a,
	    .single-post-wrapper span.tags-links,
	    .single-post-wrapper span.cat-links,
	    .blog-posts-wrapper .cat-links a,
	    .blog-posts-wrapper .cat-links,
	    .woocommerce div.product .woocommerce-tabs ul.tabs li a {
	        font-family: <?php echo esc_attr( $h1_h6_font_family ) ?>;
	    }
	<?php endif ?>
	
	<?php if ( !empty( $body_font_family ) ): ?>
		body,
		#site-navigation a,
	    .single-post-wrapper span.tags-links a,
	    .single-post-wrapper span.cat-links a,
	    .blog-posts-wrapper span.cat-links,
	    .blog-posts-wrapper span.cat-links a,
	    .blog-posts-wrapper span.cat-links,
	    .blog-posts-wrapper span.cat-links a {
	        font-family: <?php echo esc_attr( $body_font_family ) ?>;
	    }
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'moral_magazine_pro_custom_color_scheme', '' ) ) && get_theme_mod( 'moral_magazine_pro_theme_color_version', 'default' ) == 'custom' ): ?>
		/*--------------------------------------------------------------
		## Background Color
		--------------------------------------------------------------*/
		.backtotop,
		.slick-prev:hover, 
		.slick-next:hover, 
		.slick-prev:focus, 
		.slick-next:focus,
		.pagination .page-numbers.current, 
		.pagination .page-numbers:hover, 
		.pagination .page-numbers:focus,
		.reply a,
		input[type="submit"],
		#site-navigation,
		.btn,
		#top-navigation,
		.separator,
		.jetpack_subscription_widget input[type="submit"],
		.jetpack_subscription_widget button[type="submit"],
		.menu-toggle:hover, 
		.menu-toggle:focus,
		#subscribe-submit button[type="submit"],
		#magazine_pro_breaking_news_section .news-title,
		.default-design .section-title, 
		.default-design .widget-title, 
		.default-design .widgettitle,
		.hero-banner-sidebar ul li.active:after,
		.widget_most_read .post-number,
		.widget_search form.search-form .search-submit:hover, 
		.widget_search form.search-form .search-submit:focus,
		#magazine_pro_sports_photography_section,
		.second-design .backtotop, 
		.second-design .hero-banner-sidebar ul li.active:after,
		.hero-banner-sidebar ul li.active:after,
		.second-design #magazine_pro_breaking_news_section .news-title,
		#magazine_pro_breaking_news_section .news-title,
		.second-design .pagination .page-numbers.current, 
		.second-design .pagination .page-numbers:hover, 
		.second-design .pagination .page-numbers:focus,
		.second-design #colophon .overlay,
		.second-design #colophon {
		    background-color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		}

		@media screen and (min-width: 1025px){
		    .second-design #top-navigation,
		    .default-design #top-navigation,
		    .second-design #site-navigation.main-navigation {
		        background-color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		    }

		    .second-design #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a{
		        background-color: #fff;
		        border-radius: 0px;
		        height: 56px;
		        color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		    }

		}

		/*--------------------------------------------------------------
		## Text Color
		--------------------------------------------------------------*/
		button:hover,
		input[type="button"]:hover,
		input[type="reset"]:hover,
		button:focus,
		input[type="button"]:focus,
		input[type="reset"]:focus,
		button:active,
		input[type="button"]:active,
		input[type="reset"]:active,
		.site-title a:hover,
		.site-title a:focus,
		#secondary .cat-links a,
		#secondary a:hover,
		#secondary a:focus,
		.comment-meta .url:hover,
		.comment-meta .url:focus,
		.comment-metadata a:hover time,
		.comment-metadata a:focus time,
		.single-wrapper .entry-meta span a:hover, 
		.single-wrapper .entry-meta span a:focus,
		.single-wrapper .entry-meta span.byline a.fn:hover,
		.single-wrapper .entry-meta span.byline a.fn:focus,
		.single-wrapper .entry-meta > span a:hover,
		.single-wrapper .entry-meta > span a:focus,
		.section-title a:hover, 
		.section-title a:focus,
		.post-wrapper .entry-meta ul.post-categories li a:hover, 
		.post-wrapper .entry-meta ul.post-categories li a:focus,
		.second-design .entry-title a:hover,
		.second-design .entry-title a:focus,
		.entry-title a:hover,
		.entry-title a:focus,
		.dark-version #secondary .posted-on a:hover, 
		.dark-version #secondary .posted-on a:focus,
		.widget_posts_filter .widget-title span.active,
		#colophon .cat-links a,
		.byline a:hover, 
		.byline a:focus,
		.more-link a:hover, 
		.more-link a:focus,
		.second-design .posted-on a:hover,
		.second-design .posted-on a:focus,
		.dark-version #secondary .posted-on a:hover, 
		.dark-version #secondary .posted-on a:focus,
		.posted-on a:hover, 
		.posted-on a:focus,
		.product_meta a:hover, 
		.product_meta a:focus, 
		.contact-info a:hover, 
		.contact-info a:focus,
		.widget_posts_slider .post-categories a:hover, 
		.widget_posts_slider .post-categories a:focus,
		.breaking-news-wrapper:hover .entry-title a, 
		#magazine_pro_breaking_news_section .entry-title a:hover, 
		#magazine_pro_breaking_news_section .entry-title a:focus,
		#colophon .site-info a:focus,
		#colophon ul li .posted-on a:hover, 
		#colophon ul li .posted-on a:focus,
		#secondary .posted-on a:hover, 
		#secondary .posted-on a:focus,
		.second-design .post-categories a:hover, 
		.second-design .post-categories a:focus,
		.second-design .top-navigation-content p,
		.second-design .site-title a:hover,
		.second-design .site-title a:focus,
		.lite-version.second-design header .site-title a:hover,
		.lite-version.second-design header .site-title a:focus,
		.second-design #secondary .posted-on a:hover, 
		.second-design #secondary .posted-on a:focus,
		.lite-version .entry-title a:hover,
		.lite-version .entry-title a:focus,
		.lite-version .posted-on a:hover, 
		.lite-version .posted-on a:focus,
		.lite-version .posted-on a:hover, 
		.lite-version .posted-on a:focus,
		.lite-version .entry-title a:hover, 
		.lite-version .entry-title a:focus,
		.lite-version #secondary a:hover, 
		.lite-version #secondary a:focus,
		.lite-version #colophon ul li .posted-on a:hover, 
		.lite-version #colophon ul li .posted-on a:focus,
		.second-design #magazine_pro_featured_news_section .featured-news-post-wrapper .comment a:hover, 
		.second-design #magazine_pro_featured_news_section .featured-news-post-wrapper .comment a:focus,
		 #magazine_pro_featured_news_section .featured-news-post-wrapper .comment a:hover, 
		 #magazine_pro_featured_news_section .featured-news-post-wrapper .comment a:focus,
		.second-design #secondary .widget_keep_reading ul li:nth-child(1) .entry-title a:hover, 
		.second-design #secondary .widget_keep_reading ul li:nth-child(1) .entry-title a:focus,
		.widget_keep_reading ul li:nth-child(1) .entry-title a:hover, 
		.widget_keep_reading ul li:nth-child(1) .entry-title a:focus,
		.second-design #secondary .widget_keep_reading ul li:nth-child(1) .posted-on a:hover, 
		.second-design #secondary .widget_keep_reading ul li:nth-child(1) .posted-on a:focus,
		.widget_keep_reading ul li:nth-child(1) .posted-on a:hover, 
		.widget_keep_reading ul li:nth-child(1) .posted-on a:focus,
		.dark-version #secondary .widget_top_destination .entry-title a,
		.dark-version #magazine_pro_featured_post_section .entry-title a, 
		.second-design #magazine_pro_travel_column_section .entry-title a:hover,
		.second-design #magazine_pro_travel_column_section .entry-title a:focus,
		#magazine_pro_travel_column_section .entry-title a:hover,
		#magazine_pro_travel_column_section .entry-title a:focus,
		.second-design #magazine_pro_travel_column_section .posted-on a:hover,
		.second-design #magazine_pro_travel_column_section .posted-on a:focus,
		#magazine_pro_travel_column_section .posted-on a:hover,
		#magazine_pro_travel_column_section .posted-on a:focus,
		.second-design #magazine_pro_travel_column_section .comment a:hover,
		.second-design #magazine_pro_travel_column_section .comment a:focus,
		#magazine_pro_travel_column_section .comment a:hover,
		#magazine_pro_travel_column_section .comment a:focus,
		.lite-version.second-design .entry-title a:hover, 
		.lite-version.second-design .entry-title a:focus,
		.lite-version .post-categories a,
		.second-design #magazine_pro_cta_section .entry-title a:hover,
		.second-design #magazine_pro_cta_section .entry-title a:focus,
		#magazine_pro_cta_section .entry-title a:hover,
		#magazine_pro_cta_section .entry-title a:focus,
		.second-design #magazine_pro_cta_section .posted-on a:hover,
		.second-design #magazine_pro_cta_section .posted-on a:focus,
		#magazine_pro_cta_section .posted-on a:hover,
		#magazine_pro_cta_section .posted-on a:focus,
		.second-design #magazine_pro_cta_section .comment a:hover,
		.second-design #magazine_pro_cta_section .comment a:focus,
		#magazine_pro_cta_section .comment a:hover,
		#magazine_pro_cta_section .comment a:focus,
		.second-design #magazine_pro_sports_photography_section .entry-title a:hover,
		.second-design #magazine_pro_sports_photography_section .entry-title a:focus,
		#magazine_pro_sports_photography_section .entry-title a:hover,
		#magazine_pro_sports_photography_section .entry-title a:focus,
		.second-design #magazine_pro_sports_photography_section .comment a:hover,
		.second-design #magazine_pro_sports_photography_section .comment a:focus,
		#magazine_pro_sports_photography_section .comment a:hover,
		#magazine_pro_sports_photography_section .comment a:focus,
		.second-design #magazine_pro_extra_news_section .comment a:hover,
		.second-design #magazine_pro_extra_news_section .comment a:focus,
		#magazine_pro_extra_news_section .comment a:hover,
		#magazine_pro_extra_news_section .comment a:focus,
		.second-design #magazine_pro_grid_banner_section .entry-title a:hover,
		.second-design #magazine_pro_grid_banner_section .entry-title a:focus,
		#magazine_pro_grid_banner_section .entry-title a:hover,
		#magazine_pro_grid_banner_section .entry-title a:focus,
		.second-design #magazine_pro_grid_banner_section .posted-on a:hover,
		.second-design #magazine_pro_grid_banner_section .posted-on a:focus,
		#magazine_pro_grid_banner_section .posted-on a:hover,
		#magazine_pro_grid_banner_section .posted-on a:focus,
		.second-design #magazine_pro_grid_banner_section .comment a:hover,
		.second-design #magazine_pro_grid_banner_section .comment a:focus,
		#magazine_pro_grid_banner_section .comment a:hover,
		#magazine_pro_grid_banner_section .comment a:focus,
		.byline a:hover i,
		.byline a:focus i,
		.second-design #magazine_pro_latest_news_section .entry-title a:hover,
		.second-design #magazine_pro_latest_news_section .entry-title a:focus,
		#magazine_pro_latest_news_section .entry-title a:hover,
		#magazine_pro_latest_news_section .entry-title a:focus,
		.second-design #magazine_pro_latest_news_section .posted-on a:hover,
		.second-design #magazine_pro_latest_news_section .posted-on a:focus,
		#magazine_pro_latest_news_section .posted-on a:hover,
		#magazine_pro_latest_news_section .posted-on a:focus,
		.second-design #magazine_pro_latest_news_section .comment a:hover,
		.second-design #magazine_pro_latest_news_section .comment a:focus,
		#magazine_pro_latest_news_section .comment a:hover,
		#magazine_pro_latest_news_section .comment a:focus,
		.second-design #secondary .cat-links a:hover,
		.second-design #secondary .cat-links a:focus,
		.second-design #magazine_pro_travel_advice_section .entry-title a:hover,
		.second-design #magazine_pro_travel_advice_section .entry-title a:focus,
		#magazine_pro_travel_advice_section .entry-title a:hover,
		#magazine_pro_travel_advice_section .entry-title a:focus,
		.second-design #magazine_pro_travel_advice_section .posted-on a:hover,
		.second-design #magazine_pro_travel_advice_section .posted-on a:focus,
		#magazine_pro_travel_advice_section .posted-on a:hover,
		#magazine_pro_travel_advice_section .posted-on a:focus,
		.second-design #magazine_pro_travel_advice_section .comment a:hover,
		.second-design #magazine_pro_travel_advice_section .comment a:focus,
		#magazine_pro_travel_advice_section .comment a:hover,
		#magazine_pro_travel_advice_section .comment a:focus,
		.navigation.post-navigation a:hover,
		.navigation.post-navigation a:focus,
		#colophon a:hover,
		#colophon a:focus,
		.home .comment a:hover,
		.home .comment a:focus,
		.logged-in-as a,
		.dark-version .navigation.posts-navigation a:hover,
		.dark-version .navigation.posts-navigation a:focus,
		.default-design.dark-version .post-categories a
		{
		    color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		}   

		#colophon a{
			color: #fff !important;
		}


		/*--------------------------------------------------------------
		## Svg Color
		--------------------------------------------------------------*/
		.main-navigation ul#primary-menu li:hover > svg,
		.main-navigation ul#primary-menu li:focus > svg,
		.main-navigation li.menu-item-has-children:hover > a > svg,
		.main-navigation li.menu-item-has-children > a:hover > svg,
		.main-navigation li.menu-item-has-children > a:focus > svg,
		.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
		.main-navigation li.search-menu a:hover svg,
		.main-navigation li.search-menu a.search-active:hover svg,
		.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg,
		.navigation.post-navigation a:hover svg,
		.navigation.posts-navigation a:hover svg,
		.navigation.post-navigation a:focus svg,
		.navigation.posts-navigation a:focus svg,
		.loader-container svg,
		.contact-info svg,
		.main-navigation ul.nav-menu > li.home-icon > a > svg,
		#colophon .jetpack_subscription_widget #subscribe-submit svg,
		.second-design .main-navigation ul.nav-menu > li.home-icon > a > svg {
		    fill: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		}

		.second-design .posted-on a:before, 
		.second-design .comment a:before, 
		.second-design .trip-type:before, 
		.second-design .byline a:before {
		    -webkit-filter: grayscale(100%) brightness(100%) sepia(100%) hue-rotate(0deg) saturate(100) contrast(.8);
		    filter: grayscale(100%) brightness(100%) sepia(100%) hue-rotate(0deg) saturate(100) contrast(.8);
		}


		.lite-version.default-design .post-categories a:hover,
		.lite-version.default-design .post-categories a:focus,
		body.second-design,
		.second-design #secondary li {
		    color: #000;
		}

		.logged-in-as a:focus,
		.logged-in-as a:hover,
		.lite-version.default-design .post-categories a:hover,
		.lite-version.default-design .post-categories a:focus{
		    color: #000 !important;
		}


		body.second-design.dark-version,
		.dark-version.second-design .top-navigation-content p,
		.dark-version.second-design .site-description {
		    color: #fff;
		}

		.lite-version #colophon .site-info a:hover,
		.lite-version #colophon .site-info a:focus,
		#colophon .site-info a:hover,
		#colophon .site-info a:focus,
		#colophon a:hover,
		#colophon a:focus{
		    opacity: 1;
		}

		.default-design.dark-version .post-categories a:hover,
		.default-design.dark-version .post-categories a:focus{
		    color: #fff !important;
		}

		

		/*--------------------------------------------------------------
		## Red Color
		--------------------------------------------------------------*/
		@media screen and (min-width: 1025px) {
		    #masthead .main-navigation ul.nav-menu li.current-menu-item > a, 
		    #masthead .main-navigation ul.nav-menu > li > a:hover, 
		    #masthead .main-navigation ul.nav-menu > li > a:focus, 
		    .main-navigation ul.nav-menu li:hover > a, 
		    .main-navigation ul.nav-menu li.focus > a,
		    .main-navigation ul.sub-menu li:hover > a, 
		    .main-navigation ul.sub-menu li:focus > a,
		    #top-navigation .main-navigation ul.nav-menu > li:hover > a,
		    #top-navigation .main-navigation ul.nav-menu > li:focus > a,
		    .second-design .main-navigation li.active a,
		    .second-design .main-navigation ul.nav-menu li:hover > a, 
		    .second-design .main-navigation ul.nav-menu li:focus > a,
		    .lite-version #top-navigation .posted-on a:hover, 
		    .lite-version #top-navigation .posted-on a:focus {
		        color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		    }
		    .main-navigation ul.nav-menu > li:hover > a > svg,
		    .main-navigation ul.nav-menu > li:focus > a > svg,
		    .second-design .main-navigation ul.nav-menu > li:hover > a > svg,
		    .second-design .main-navigation ul.nav-menu > li:focus > a > svg,
		    .second-design .main-navigation ul ul li.menu-item-has-children:hover > a > svg,
		    .second-design .main-navigation ul ul li.menu-item-has-children:focus > a > svg{
		        fill: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		    }


		    .second-design #site-navigation.main-navigation,
		    #magazine_pro_cta_section:before {
		        background-color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
		    }

		    #masthead.header-one .home-icon,
		    #masthead.header-one .main-navigation ul.nav-menu > li > a:hover,
		    #masthead.header-one .main-navigation ul.nav-menu > li > a:focus,
		    #masthead.header-one .main-navigation ul.nav-menu li.current-menu-item > a{
		        background-color: #fff;
		    }
		  
		}

		#top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a,
		#top-navigation .main-navigation ul.nav-menu > li > a:hover,
		#top-navigation .main-navigation ul.nav-menu > li > a:focus{
		    opacity: 0.8;
		}

		.default-design #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a,
		.default-design #top-navigation .main-navigation ul.nav-menu > li > a:hover,
		.default-design #top-navigation .main-navigation ul.nav-menu > li > a:focus{
		    color: #fff !important;
		}

		.second-design #secondary .cat-links a,
		.second-design .post-categories a{
		    color: #fff !important;
		}

		.default-design.dark-version #magazine_pro_latest_news_section .post-categories a {
		    background-color: #000;
		}

		.comment .reply a:hover, 
		.comment .reply a:focus{
		    background-color: #000 !important;
		    color: #fff;
		}

		@media screen and (max-width: 1025px) {
			 .default-design #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a,  
			 #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a,  
			 .default-design #top-navigation .main-navigation ul.nav-menu > li > a:hover,  
			 #top-navigation .main-navigation ul.nav-menu > li > a:hover,  
			 .default-design #top-navigation .main-navigation ul.nav-menu > li > a:focus,
			 #top-navigation .main-navigation ul.nav-menu > li > a:focus {
			    color: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?> !important;
			}

		}


		/*--------------------------------------------------------------
		## Preloader
		--------------------------------------------------------------*/

		@keyframes preloader {
		    0% {height:5px;transform:translateY(0px);background: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?>;}
		    25% {height:30px;transform:translateY(15px);background: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?>;}
		    50% {height:5px;transform:translateY(0px);background: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?>;}
		    100% {height:5px;transform:translateY(0px);background: <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_custom_color_scheme' ) ); ?>;}
		}
	<?php endif ?>

	</style>

	<?php
}
add_action( 'wp_head', 'moral_magazine_pro_header_text_style' );