<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * featured_post section
 */

$wp_customize->add_section(
	'moral_magazine_pro_featured_post',
	array(
		'title' => esc_html__( 'Featured Post', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);


// blog enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_featured_post',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'enable'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_featured_post',
	array(
		'section'		=> 'moral_magazine_pro_featured_post',
		'label'			=> esc_html__( 'Content type:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'moral-magazine-pro' ),
				'enable' => esc_html__( '--Enable--', 'moral-magazine-pro' ),
		 	)
	)
);


$wp_customize->add_setting(
	'moral_magazine_pro_featured_post_num',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_featured_post_num',
	array(
		'section'		=> 'moral_magazine_pro_featured_post',
		'label'			=> esc_html__( 'Number of Posts:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'moral-magazine-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 99 ),
	)
);


$blog_num = get_theme_mod( 'moral_magazine_pro_featured_post_num', 3 );
for ($i=1; $i <= $blog_num ; $i++) { 

	$wp_customize->add_setting(
		'moral_magazine_pro_featured_post_cat_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_featured_post_cat_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_featured_post',
			'label'			=> esc_html__( 'Category ', 'moral-magazine-pro' ).$i,
			'type'			=> 'select',
			'choices'		=> moral_magazine_pro_get_post_cat_choices(),
		)
	);

	$wp_customize->add_setting( 'moral_magazine_pro_featured_post_cat_image_'.$i, array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'moral_magazine_pro_featured_post_cat_image_'.$i,
		array(
		'label'       		=> esc_html__( 'Category Image ', 'moral-magazine-pro' ).$i,
		'section'     		=> 'moral_magazine_pro_featured_post',
	) ) );
}

