<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * grid_post section
 */

$wp_customize->add_section(
	'moral_magazine_pro_grid_post',
	array(
		'title' => esc_html__( 'Grid Post Section', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);


// blog enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_grid_post',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_grid_post',
	array(
		'section'		=> 'moral_magazine_pro_grid_post',
		'label'			=> esc_html__( 'Content type:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'moral-magazine-pro' ),
				'post' => esc_html__( 'Post', 'moral-magazine-pro' ),
				'page' => esc_html__( 'Page', 'moral-magazine-pro' ),
				'cat' => esc_html__( 'Category', 'moral-magazine-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_grid_post_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Grid Posts', 'moral-magazine-pro' ),
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_grid_post_title',
	array(
		'section'		=> 'moral_magazine_pro_grid_post',
		'label'			=> esc_html__( 'Title:', 'moral-magazine-pro' ),
	)
);

for ($i=1; $i <= 5 ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'moral_magazine_pro_grid_post_post_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_grid_post_post_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_grid_post',
			'label'			=> esc_html__( 'Post ', 'moral-magazine-pro' ).$i,
			'active_callback' => 'moral_magazine_pro_if_grid_post_post',
			'type'			=> 'select',
			'choices'		=> moral_magazine_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'moral_magazine_pro_grid_post_page_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_grid_post_page_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_grid_post',
			'label'			=> esc_html__( 'Page ', 'moral-magazine-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'moral_magazine_pro_if_grid_post_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'moral_magazine_pro_grid_post_cat',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_grid_post_cat',
	array(
		'section'		=> 'moral_magazine_pro_grid_post',
		'label'			=> esc_html__( 'Category:', 'moral-magazine-pro' ),
		'active_callback' => 'moral_magazine_pro_if_grid_post_cat',
		'type'			=> 'select',
		'choices'		=> moral_magazine_pro_get_post_cat_choices(),
	)
);