<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * have_missed section
 */

$wp_customize->add_section(
	'moral_magazine_pro_have_missed',
	array(
		'title' => esc_html__( 'Have Missed', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);

// have_missed enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_have_missed',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_have_missed',
	array(
		'section'		=> 'moral_magazine_pro_have_missed',
		'label'			=> esc_html__( 'Content type:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'moral-magazine-pro' ),
				'post' => esc_html__( 'Post', 'moral-magazine-pro' ),
				'page' => esc_html__( 'Page', 'moral-magazine-pro' ),
				'cat' => esc_html__( 'Category', 'moral-magazine-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_have_missed_col_layout',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'col-2'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_have_missed_col_layout',
	array(
		'label'			=> esc_html__( 'Column Layout', 'moral-magazine-pro' ),
		'section'		=> 'moral_magazine_pro_have_missed',
		'type'			=> 'select',
		'choices'		=> array( 
				'col-1' => esc_html__( 'Column 1', 'moral-magazine-pro' ),
				'col-2' => esc_html__( 'Column 2', 'moral-magazine-pro' ),
				'col-3' => esc_html__( 'Column 3', 'moral-magazine-pro' ),
				'col-4' => esc_html__( 'Column 4', 'moral-magazine-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_have_missed_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'You Have Missed', 'moral-magazine-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_have_missed_title',
	array(
		'section'		=> 'moral_magazine_pro_have_missed',
		'label'			=> esc_html__( 'Title:', 'moral-magazine-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'moral_magazine_pro_have_missed_title', 
	array(
        'selector'            => '#have_missed-posts .section-subtitle',
		'render_callback'     => 'moral_magazine_pro_have_missed_partial_title',
	) 
);

// have_missed number setting
$wp_customize->add_setting(
	'moral_magazine_pro_have_missed_num',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_number_range',
		'default' => 4,
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_have_missed_num',
	array(
		'section'		=> 'moral_magazine_pro_have_missed',
		'label'			=> esc_html__( 'Number of Posts:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 99', 'moral-magazine-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 99 ),
	)
);

$have_missed_num = get_theme_mod( 'moral_magazine_pro_have_missed_num', 4 );
for ($i=1; $i <= $have_missed_num ; $i++) { 
	// have_missed post setting
	$wp_customize->add_setting(
		'moral_magazine_pro_have_missed_post_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_have_missed_post_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_have_missed',
			'label'			=> esc_html__( 'Post ', 'moral-magazine-pro' ).$i,
			'active_callback' => 'moral_magazine_pro_if_have_missed_post',
			'type'			=> 'select',
			'choices'		=> moral_magazine_pro_get_post_choices(),
		)
	);

	// have_missed page setting
	$wp_customize->add_setting(
		'moral_magazine_pro_have_missed_page_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_have_missed_page_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_have_missed',
			'label'			=> esc_html__( 'Page ', 'moral-magazine-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'moral_magazine_pro_if_have_missed_page'
		)
	);
}

// have_missed category setting
$wp_customize->add_setting(
	'moral_magazine_pro_have_missed_cat',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_have_missed_cat',
	array(
		'section'		=> 'moral_magazine_pro_have_missed',
		'label'			=> esc_html__( 'Category:', 'moral-magazine-pro' ),
		'active_callback' => 'moral_magazine_pro_if_have_missed_cat',
		'type'			=> 'select',
		'choices'		=> moral_magazine_pro_get_post_cat_choices(),
	)
);

// // Style 

// // overlay enable settings
// $wp_customize->add_setting(
// 	'moral_magazine_pro_have_missed_overlay',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
// 		'default' => false,
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_have_missed_overlay',
// 	array(
// 		'section'		=> 'moral_magazine_pro_have_missed',
// 		'label'			=> esc_html__( 'Enable Overlay', 'moral-magazine-pro' ),
// 		'type'			=> 'checkbox',
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_have_missed_section_sub_title_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_have_missed_section_sub_title_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_have_missed',
// 			'label'			=> esc_html__( 'Section Title Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );


// $wp_customize->add_setting(	
// 	'moral_magazine_pro_have_missed_section_btn_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_have_missed_section_btn_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_have_missed',
// 			'label'			=> esc_html__( 'Section Btn Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_have_missed_section_btn_text_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_have_missed_section_btn_text_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_have_missed',
// 			'label'			=> esc_html__( 'Section Btn Text Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );


// $wp_customize->add_setting(	
// 	'moral_magazine_pro_have_missed_section_hover_btn_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_have_missed_section_hover_btn_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_have_missed',
// 			'label'			=> esc_html__( 'Section Btn Hover Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_have_missed_section_hover_btn_text_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_have_missed_section_hover_btn_text_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_have_missed',
// 			'label'			=> esc_html__( 'Section Btn Text Hover Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );


// // have_missed enable background settings
// $wp_customize->add_setting(
// 	'moral_magazine_pro_have_missed_background',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_have_missed_background',
// 	array(
// 		'label'			=> esc_html__( 'Enable Background', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_have_missed',
// 		'type'			=> 'radio',
// 		'choices'		=> array( 
// 				'image' => esc_html__( 'Background Image', 'moral-magazine-pro' ),
// 				'color' => esc_html__( 'Background Color', 'moral-magazine-pro' ),
// 		 	),
// 	)
// );

// $wp_customize->add_setting( 'moral_magazine_pro_have_missed_background_image', array(
// 	'sanitize_callback' => 'moral_magazine_pro_sanitize_image',
// ) );

// $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'moral_magazine_pro_have_missed_background_image',
// 	array(
// 	'label'       		=> esc_html__( 'Upload Image', 'moral-magazine-pro' ),
// 	'section'     		=> 'moral_magazine_pro_have_missed',
// 	'active_callback'	=> 'moral_magazine_pro_if_have_missed_background_image',
// ) ) );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_have_missed_background_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_have_missed_background_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_have_missed',
// 			'label'			=> esc_html__( 'Select BG Color:', 'moral-magazine-pro' ),
// 			'active_callback' => 'moral_magazine_pro_if_have_missed_background_color',
// 		)
// 	)
// );
