<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Header panel
 */

// Header section
$wp_customize->add_section(
	'moral_magazine_pro_header_section',
	array(
		'title' => esc_html__( 'Header', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_general_panel',
	)
);


// Header menu sticky enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_make_menu_sticky',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_make_menu_sticky',
	array(
		'section'		=> 'moral_magazine_pro_header_section',
		'label'			=> esc_html__( 'Make menu sticky.', 'moral-magazine-pro' ),
		'type'			=> 'checkbox',
	)
);

// Header menu sticky enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_header_style',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'header-1'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_header_style',
	array(
		'section'		=> 'moral_magazine_pro_header_section',
		'label'			=> esc_html__( 'Select Header Type', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'header-1' => esc_html__( 'Header 1', 'moral-magazine-pro' ),
				'header-2' => esc_html__( 'Header 2', 'moral-magazine-pro' ),		 	
			)
	)
);

$wp_customize->add_setting( 'moral_magazine_pro_header_bg_image', array(
	'sanitize_callback' => 'moral_magazine_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'moral_magazine_pro_header_bg_image',
	array(
	'label'       		=> esc_html__( 'BG Image', 'moral-magazine-pro' ),
	'section'     		=> 'moral_magazine_pro_header_section',
) ) );


// ads image setting and control.
$wp_customize->add_setting( 'moral_magazine_pro_header_ads_image', array(
	'sanitize_callback' => 'moral_magazine_pro_sanitize_image',
	'default'			=> get_template_directory_uri() . '/assets/img/site-advertisement.jpg',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'moral_magazine_pro_header_ads_image',
	array(
	'label'       		=> esc_html__( 'Ads Image', 'moral-magazine-pro' ),
	'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'moral-magazine-pro' ), 810, 120 ),
	'section'     		=> 'moral_magazine_pro_header_section',
	'active_callback'	=> 'moral_magazine_pro_if_header_one',
) ) );

// ads link setting and control
$wp_customize->add_setting( 'moral_magazine_pro_header_ads_image_url', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'moral_magazine_pro_header_ads_image_url', array(
	'label'           	=> esc_html__( 'Ads Url', 'moral-magazine-pro' ),
	'section'        	=> 'moral_magazine_pro_header_section',
	'type'				=> 'url',
	'active_callback'	=> 'moral_magazine_pro_if_header_one',
) );



// // Header menu sticky enable settings
// $wp_customize->add_setting(
// 	'moral_magazine_pro_make_trasparent_menu',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
// 		'default' => false
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_make_trasparent_menu',
// 	array(
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'label'			=> esc_html__( 'Make menu transparent.', 'moral-magazine-pro' ),
// 		'type'			=> 'checkbox',
// 	)
// );


// // Style 
// // overlay enable settings
// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_overlay',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
// 		'default' => false,
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_overlay',
// 	array(
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'label'			=> esc_html__( 'Enable Overlay', 'moral-magazine-pro' ),
// 		'type'			=> 'checkbox',
// 	)
// );



// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_title_font_size',
// 	array(
// 		'sanitize_callback' => 'absint',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_title_font_size',
// 	array(
// 		'label'			=> esc_html__( 'Site Title Font Size', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'type'			=> 'number',
// 	)
// );

// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_nav_top_border',
// 	array(
// 		'sanitize_callback' => 'absint',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_nav_top_border',
// 	array(
// 		'label'			=> esc_html__( 'Top Border Size', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'type'			=> 'number',
// 	)
// );

// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_nav_botton_border',
// 	array(
// 		'sanitize_callback' => 'absint',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_nav_botton_border',
// 	array(
// 		'label'			=> esc_html__( 'Bottom Border Size', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'type'			=> 'number',
// 	)
// );

// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_nav_font_size',
// 	array(
// 		'sanitize_callback' => 'absint',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_nav_font_size',
// 	array(
// 		'label'			=> esc_html__( 'Nav Item Font Size', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'type'			=> 'number',
// 	)
// );

// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_nav_item_margin',
// 	array(
// 		'sanitize_callback' => 'absint',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_nav_item_margin',
// 	array(
// 		'label'			=> esc_html__( 'Nav Item Left/Right Margin', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'type'			=> 'number',
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_header_section_menu_bg_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_header_section_menu_bg_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_header_section',
// 			'label'			=> esc_html__( 'Menu Background Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_header_section_top_border_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_header_section_top_border_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_header_section',
// 			'label'			=> esc_html__( 'Nav Top Border Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_header_section_nav_item_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_header_section_nav_item_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_header_section',
// 			'label'			=> esc_html__( 'Nav Item Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_header_section_nav_item_hover_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_header_section_nav_item_hover_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_header_section',
// 			'label'			=> esc_html__( 'Nav Item Hover Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_header_section_nav_bottom_border_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );


// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_header_section_nav_bottom_border_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_header_section',
// 			'label'			=> esc_html__( 'Nav Botton Border Color', 'moral-magazine-pro' ),

// 		)
// 	)
// );


// // header enable background settings
// $wp_customize->add_setting(
// 	'moral_magazine_pro_header_background',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_header_background',
// 	array(
// 		'label'			=> esc_html__( 'Enable Background', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_header_section',
// 		'type'			=> 'radio',
// 		'choices'		=> array( 
// 				'image' => esc_html__( 'Background Image', 'moral-magazine-pro' ),
// 				'color' => esc_html__( 'Background Color', 'moral-magazine-pro' ),
// 		 	),
// 	)
// );

// $wp_customize->add_setting( 'moral_magazine_pro_header_background_image', array(
// 	'sanitize_callback' => 'moral_magazine_pro_sanitize_image',
// ) );

// $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'moral_magazine_pro_header_background_image',
// 	array(
// 	'label'       		=> esc_html__( 'Upload Image', 'moral-magazine-pro' ),
// 	'section'     		=> 'moral_magazine_pro_header_section',
// 	'active_callback'	=> 'moral_magazine_pro_if_header_background_image',
// ) ) );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_header_background_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_header_background_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_header_section',
// 			'label'			=> esc_html__( 'Select BG Color:', 'moral-magazine-pro' ),
// 			'active_callback' => 'moral_magazine_pro_if_header_background_color',
// 		)
// 	)
// );