<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * hero_banner section
 */

$wp_customize->add_section(
	'moral_magazine_pro_hero_banner',
	array(
		'title' => esc_html__( 'Hero Banner', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);

// blog enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_hero_banner',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_hero_banner',
	array(
		'section'		=> 'moral_magazine_pro_hero_banner',
		'label'			=> esc_html__( 'Content type:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'moral-magazine-pro' ),
				'post' => esc_html__( 'Post', 'moral-magazine-pro' ),
				'page' => esc_html__( 'Page', 'moral-magazine-pro' ),
				'cat' => esc_html__( 'Category', 'moral-magazine-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_hero_banner_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Hero Banner', 'moral-magazine-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_hero_banner_title',
	array(
		'section'		=> 'moral_magazine_pro_hero_banner',
		'label'			=> esc_html__( 'Title:', 'moral-magazine-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'moral_magazine_pro_hero_banner_title', 
	array(
        'selector'            => '#hero_banner .section-title',
		'render_callback'     => 'moral_magazine_pro_hero_banner_partial_title',
	) 
);

for ( $i=1; $i <= 3 ; $i++ ) { 
	// blog post setting
	$wp_customize->add_setting(
		'moral_magazine_pro_hero_banner_post_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_hero_banner_post_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_hero_banner',
			'label'			=> esc_html__( 'Post ', 'moral-magazine-pro' ).$i,
			'active_callback' => 'moral_magazine_pro_if_hero_banner_post',
			'type'			=> 'select',
			'choices'		=> moral_magazine_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'moral_magazine_pro_hero_banner_page_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_hero_banner_page_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_hero_banner',
			'label'			=> esc_html__( 'Page ', 'moral-magazine-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'moral_magazine_pro_if_hero_banner_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'moral_magazine_pro_hero_banner_cat',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_hero_banner_cat',
	array(
		'section'		=> 'moral_magazine_pro_hero_banner',
		'label'			=> esc_html__( 'Category:', 'moral-magazine-pro' ),
		'active_callback' => 'moral_magazine_pro_if_hero_banner_cat',
		'type'			=> 'select',
		'choices'		=> moral_magazine_pro_get_post_cat_choices(),
	)
);

// // Style 

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_section_title_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_section_title_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Section Title Color', 'moral-magazine-pro' ),
// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_section_post_container_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_section_post_container_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Section Post Container BG Color', 'moral-magazine-pro' ),
// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_section_post_title_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_section_post_title_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Section Post Title Color', 'moral-magazine-pro' ),
// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_section_post_hover_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_section_post_hover_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Section Post Title Hover Color', 'moral-magazine-pro' ),
// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_section_position_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_section_position_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Position Color', 'moral-magazine-pro' ),
// 		)
// 	)
// );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_section_content_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_section_content_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Content Color', 'moral-magazine-pro' ),
// 		)
// 	)
// );


// // hero_banner enable background settings
// $wp_customize->add_setting(
// 	'moral_magazine_pro_hero_banner_background',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
// 	)
// );

// $wp_customize->add_control(
// 	'moral_magazine_pro_hero_banner_background',
// 	array(
// 		'label'			=> esc_html__( 'Enable Background', 'moral-magazine-pro' ),
// 		'section'		=> 'moral_magazine_pro_hero_banner',
// 		'type'			=> 'radio',
// 		'choices'		=> array( 
// 				'image' => esc_html__( 'Background Image', 'moral-magazine-pro' ),
// 				'color' => esc_html__( 'Background Color', 'moral-magazine-pro' ),
// 		 	)
// 	)
// );

// $wp_customize->add_setting( 'moral_magazine_pro_hero_banner_background_image', array(
// 	'sanitize_callback' => 'moral_magazine_pro_sanitize_image',
// ) );

// $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'moral_magazine_pro_hero_banner_background_image',
// 	array(
// 	'label'       		=> esc_html__( 'Upload Image', 'moral-magazine-pro' ),
// 	'section'     		=> 'moral_magazine_pro_hero_banner',
// 	'active_callback'	=> 'moral_magazine_pro_if_hero_banner_background_image',
// ) ) );

// $wp_customize->add_setting(	
// 	'moral_magazine_pro_hero_banner_background_color',
// 	array(
// 		'sanitize_callback' => 'moral_magazine_pro_sanitize_hex_color',
// 	)
// );

// $wp_customize->add_control(
// 	new WP_Customize_Color_Control( 
// 	$wp_customize,
// 		'moral_magazine_pro_hero_banner_background_color',
// 		array(
// 			'section'		=> 'moral_magazine_pro_hero_banner',
// 			'label'			=> esc_html__( 'Select BG Color:', 'moral-magazine-pro' ),
// 			'active_callback' => 'moral_magazine_pro_if_hero_banner_background_color',
// 		)
// 	)
// );