<?php 

$wp_customize->add_section(
	'moral_magazine_pro_homepage_sortable',
	array(
		'title' => esc_html__( 'Homepage Sort', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);


$wp_customize->add_setting(	
	'moral_magazine_pro_homepage_sortable',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_sort',
		'default'	=> array( 'breaking-news', 'hero-banner', 'featured-news', 'editorial', 'main-post', 'three-column', 'have-missed', 'post-slider', 'cta', 'sport', 'extra-news', 'grid-post', 'two-column', 'featured-post', 'latest-news', 'travel-advice' )
	)
);

$wp_customize->add_control( 
	new Moral_Magazine_Pro_Customize_Control_Sort_Sections( 
		$wp_customize,
		'moral_magazine_pro_homepage_sortable',
		array(
			'section'		=> 'moral_magazine_pro_homepage_sortable',
			'type'			=> 'hompage-sortable',
			'label'			=> esc_html__( 'Main Sections Sort', 'moral-magazine-pro' ),
			'description'			=> esc_html__( 'Hold and drag to sort the sections', 'moral-magazine-pro' ),
			'choices'		=> array( 
				'breaking-news' => array( 
					'name' => __( 'Breaking News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_breaking_news'
				),
				'hero-banner' => array( 
					'name' => __( 'Hero Banner', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_hero_banner'
				),
				'featured-news' => array( 
					'name' => __( 'Featured News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_featured_news'
				),
				'editorial' => array( 
					'name' => __( 'Editorial', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_editorial'
				),
				'main-post' => array( 
					'name' => __( 'Main Post', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_main_post'
				),
				'three-column' => array( 
					'name' => __( 'Three Column', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_three_column'
				),
				'have-missed' => array( 
					'name' => __( 'Three Column', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_have_missed'
				),
				'post-slider' => array( 
					'name' => __( 'Post Slider', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_post_slider'
				),
				'cta' => array( 
					'name' => __( 'Call To Action', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_cta'
				),
				'sport' => array( 
					'name' => __( 'Sport', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_sport'
				),
				'extra-news' => array( 
					'name' => __( 'Extra Section', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_extra_news'
				),
				'grid-post' => array( 
					'name' => __( 'Grid Post', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_grid_post'
				),
				'two-column' => array( 
					'name' => __( 'Two Column', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_two_column'
				),
				'featured-post' => array( 
					'name' => __( 'Featured Post', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_featured_post'
				),
				'latest-news' => array( 
					'name' => __( 'Latest News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_latest_news'
				),
				'travel-advice' => array( 
					'name' => __( 'Travel Advice', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_travel_advice'
				),
			),
		)
	)
);

$wp_customize->add_setting(	
	'moral_magazine_pro_homepage_inner_section_sortable',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_sort',
		'default'	=> array( 'slider', 'travel-news', 'business-news', 'education-news', 'trip-news' )
	)
);

$wp_customize->add_control( 
	new Moral_Magazine_Pro_Customize_Control_Sort_Sections( 
		$wp_customize,
		'moral_magazine_pro_homepage_inner_section_sortable',
		array(
			'section'		=> 'moral_magazine_pro_homepage_sortable',
			'type'			=> 'hompage-sortable',
			'label'			=> esc_html__( 'Main Post Sections Sort', 'moral-magazine-pro' ),
			'description'			=> esc_html__( 'Hold and drag to sort the sections', 'moral-magazine-pro' ),
			'choices'		=> array( 
				'slider' => array( 
					'name' => __( 'Slider News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_slider'
				),
				'travel-news' => array( 
					'name' => __( 'Travel News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_travel_news'
				),
				'business-news' => array( 
					'name' => __( 'Business News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_business_news'
				),
				'education-news' => array( 
					'name' => __( 'Education News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_education_news'
				),
				'trip-news' => array( 
					'name' => __( 'Trip News', 'moral-magazine-pro' ),
					'section_id' => 'moral_magazine_pro_trip_news'
				),
			),
		)
	)
);