<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * three_column section
 */

$wp_customize->add_section(
	'moral_magazine_pro_three_column',
	array(
		'title' => esc_html__( 'Three Column', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);


// blog enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_three_column',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'enable'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_three_column',
	array(
		'section'		=> 'moral_magazine_pro_three_column',
		'label'			=> esc_html__( 'Content type:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'moral-magazine-pro' ),
				'enable' => esc_html__( '--Enable--', 'moral-magazine-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_three_column_col_layout',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'col-3'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_three_column_col_layout',
	array(
		'label'			=> esc_html__( 'Column Layout', 'moral-magazine-pro' ),
		'section'		=> 'moral_magazine_pro_three_column',
		'type'			=> 'select',
		'choices'		=> array( 
				'col-1' => esc_html__( 'Column 1', 'moral-magazine-pro' ),
				'col-2' => esc_html__( 'Column 2', 'moral-magazine-pro' ),
				'col-3' => esc_html__( 'Column 3', 'moral-magazine-pro' ),
				'col-4' => esc_html__( 'Column 4', 'moral-magazine-pro' ),
				'col-5' => esc_html__( 'Column 5', 'moral-magazine-pro' ),
		 	)
	)
);

$three_column_count = 3;

for ($i=1; $i <= 5 ; $i++) { 
	if ( get_theme_mod( 'moral_magazine_pro_three_column_col_layout', 'col-3' ) == 'col-'.$i ) {
		$three_column_count = $i;
	}
}

for ($i=1; $i <= $three_column_count ; $i++) { 
	$wp_customize->add_setting(
		'moral_magazine_pro_three_column_cat_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_three_column_cat_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_three_column',
			'label'			=> esc_html__( 'Category ', 'moral-magazine-pro' ).$i,
			'type'			=> 'select',
			'choices'		=> moral_magazine_pro_get_post_cat_choices(),
		)
	);
}

