<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * topbar
 */

$wp_customize->add_section(
	'moral_magazine_pro_topbar',
	array(
		'title' => esc_html__( 'Top bar', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);



// topbar enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_topbar',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_topbar',
	array(
		'section'		=> 'moral_magazine_pro_topbar',
		'label'			=> esc_html__( 'Enable Topbar', 'moral-magazine-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_topbar_design',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'design-one',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_topbar_design',
	array(
		'section'		=> 'moral_magazine_pro_topbar',
		'label'			=> esc_html__( 'Topbar Design', 'moral-magazine-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'design-one' => esc_html__( 'Design one', 'moral-magazine-pro' ), 
			'design-two' => esc_html__( 'Design two', 'moral-magazine-pro' ), 
		),
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_topbar_social_menu',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_topbar_social_menu',
	array(
		'section'		=> 'moral_magazine_pro_topbar',
		'label'			=> esc_html__( 'Enable Social Menu', 'moral-magazine-pro' ),
		'type'			=> 'checkbox',
		'active_callback'	=> 'moral_magazine_pro_if_topbar_one'
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_topbar_date',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_topbar_date',
	array(
		'section'		=> 'moral_magazine_pro_topbar',
		'label'			=> esc_html__( 'Enable Date', 'moral-magazine-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'moral_magazine_pro_topbar_text',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_html',
	)	
);

$wp_customize->add_control(
	'moral_magazine_pro_topbar_text',
	array(
		'section'		=> 'moral_magazine_pro_topbar',
		'label'			=> esc_html__( 'Topbar Text', 'moral-magazine-pro' ),
		'type'			=> 'textarea',
		'active_callback'	=> 'moral_magazine_pro_if_topbar_two'
	)
);

