<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * travel_advice section
 */

$wp_customize->add_section(
	'moral_magazine_pro_travel_advice',
	array(
		'title' => esc_html__( 'Travel Advice', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);


// blog enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_travel_advice',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_travel_advice',
	array(
		'section'		=> 'moral_magazine_pro_travel_advice',
		'label'			=> esc_html__( 'Content type:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'moral-magazine-pro' ),
				'post' => esc_html__( 'Post', 'moral-magazine-pro' ),
				'page' => esc_html__( 'Page', 'moral-magazine-pro' ),
				'cat' => esc_html__( 'Category', 'moral-magazine-pro' ),
		 	)
	)
);


$wp_customize->add_setting(
	'moral_magazine_pro_travel_advice_num',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_number_range',
		'default' => 4,
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_travel_advice_num',
	array(
		'section'		=> 'moral_magazine_pro_travel_advice',
		'label'			=> esc_html__( 'Number of Posts:', 'moral-magazine-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'moral-magazine-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 4, 'max' => 99 ),
	)
);


$blog_num = get_theme_mod( 'moral_magazine_pro_travel_advice_num', 5 );
for ($i=1; $i <= $blog_num ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'moral_magazine_pro_travel_advice_post_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_travel_advice_post_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_travel_advice',
			'label'			=> esc_html__( 'Post ', 'moral-magazine-pro' ).$i,
			'active_callback' => 'moral_magazine_pro_if_travel_advice_post',
			'type'			=> 'select',
			'choices'		=> moral_magazine_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'moral_magazine_pro_travel_advice_page_'.$i,
		array(
			'sanitize_callback' => 'moral_magazine_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'moral_magazine_pro_travel_advice_page_'.$i,
		array(
			'section'		=> 'moral_magazine_pro_travel_advice',
			'label'			=> esc_html__( 'Page ', 'moral-magazine-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'moral_magazine_pro_if_travel_advice_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'moral_magazine_pro_travel_advice_cat',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_travel_advice_cat',
	array(
		'section'		=> 'moral_magazine_pro_travel_advice',
		'label'			=> esc_html__( 'Category:', 'moral-magazine-pro' ),
		'active_callback' => 'moral_magazine_pro_if_travel_advice_cat',
		'type'			=> 'select',
		'choices'		=> moral_magazine_pro_get_post_cat_choices(),
	)
);