<?php
/**
 * Moral OCDI plugin compatible functions
 *
 * @package Moral
 */

function moral_magazine_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Moral Theme Demo Import' , 'moral-magazine-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'moral_magazine_pro_ctdi_plugin_page_setup' );


function moral_magazine_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Demo One', 'moral-magazine-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/demo-one/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/demo-one/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/demo-one/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/demo-one/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'moral-magazine-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/moral-magazine-pro',
        ),

        array(
            'import_file_name'             => esc_html__( 'Demo Two', 'moral-magazine-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/demo-two/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/demo-two/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/demo-two/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/demo-two/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'moral-magazine-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/moral-magazine-demo2',
        ),

        array(
            'import_file_name'             => esc_html__( 'Demo Three', 'moral-magazine-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/demo-three/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/demo-three/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/demo-three/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/demo-three/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'moral-magazine-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/moral-magazine-demo3',
        ),
       
        array(
            'import_file_name'             => esc_html__( 'Demo Four', 'moral-magazine-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/demo-four/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/demo-four/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/demo-four/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/demo-four/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'moral-magazine-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/moral-magazine-demo4',
        ),

        array(
            'import_file_name'             => esc_html__( 'Demo Five', 'moral-magazine-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/demo-five/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/demo-five/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/demo-five/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/demo-five/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'moral-magazine-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/moral-magazine-demo5',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'moral_magazine_pro_ctdi_import_files' );



function moral_magazine_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $secondary = get_term_by('name', 'Secondary', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'secondary' => $secondary->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'moral_magazine_pro_ctdi_after_import_setup' );
