<?php

if ( ! class_exists( 'Moral_Magazine_Ads' ) ) :

     
    class Moral_Magazine_Ads extends WP_Widget {
        /**
         * Sets up the widgets name etc
         */
        public function __construct() {
            $mt_widget_popular_post = array(
                'classname'   => 'widget_left_sidebar_ad',
                'description' => esc_html__( 'Slider Ads', 'moral-magazine-pro' ),
            );
            parent::__construct( 'Moral_Magazine_Ads', esc_html__( 'MT : Slider Ads', 'moral-magazine-pro' ), $mt_widget_popular_post );
        }

        /**
         * Outputs the content of the widget
         *
         * @param array $args
         * @param array $instance
         */
        public function widget( $args, $instance ) {
            // outputs the content of the widget
            if ( ! isset( $args['widget_id'] ) ) {
                $args['widget_id'] = $this->id;
            }
            echo $args['before_widget'];
            ?>
            <ul class="ad-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":false, "autoplay": true, "draggable": true, "fade": false }'>
                <?php for ($i=0; $i <=3 ; $i++) { ?>
                    <?php if ( !empty( $instance['image_'.$i] ) ): ?>
                        <li>
                            <a href="<?php echo esc_url( $instance['image_url_'.$i] ); ?>">
                                <img src="<?php echo esc_url( $instance['image_'.$i] ); ?>" alt="site-ad">
                            </a>
                        </li>
                    <?php endif ?>                    
                <?php } ?>                
            </ul>
            <?php
            echo $args['after_widget'];
        }

        /**
         * Outputs the options form on admin
         *
         * @param array $instance The widget options
         */
        public function form( $instance ) {

            for ($i=1; $i <= 3 ; $i++) {              
            
        ?>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id( 'image_'.$i ) ); ?>"><?php echo esc_html__( 'ADS Image ', 'moral-magazine-pro' ).$i; ?></label>
                <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'image_'.$i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'image_'.$i ) ); ?>" type="text" value="<?php echo esc_attr( $instance['image_'.$i] ); ?>">

                <label for="<?php echo esc_attr( $this->get_field_id( 'image_url_'.$i ) ); ?>"><?php echo esc_html__( 'ADS Image Url ', 'moral-magazine-pro' ).$i; ?></label>
                <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'image_url_'.$i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'image_url_'.$i ) ); ?>" type="text" value="<?php echo esc_attr( $instance['image_url_'.$i] ); ?>">

            </p>
           
            <?php
            }
     
        }
        
      
        
        /**
        * Processing widget options on save
        *
        * @param array $new_instance The new options
        * @param array $old_instance The previous options
        */
        public function update( $new_instance, $old_instance ) {
 
            $instance = array();
            
            for ($i=1; $i <= 3 ; $i++) { 
                $instance['image_'.$i] = ( !empty( $new_instance['image_'.$i] ) ) ? strip_tags( $new_instance['image_'.$i] ) : '';
                $instance['image_url_'.$i] = ( !empty( $new_instance['image_url_'.$i] ) ) ? strip_tags( $new_instance['image_url_'.$i] ) : '';
            }
     
            return $instance;
        }
    }
endif;
