<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$cta = get_theme_mod( 'moral_magazine_pro_cta', 'cat' );

// Bail if the section is disabled.
if ( 'disable' === $cta ) {
	return;
}

$content_details = moral_magazine_pro_get_section_content( 'cta', $cta, 1 );

?>
<div id="magazine_pro_cta_section" class="relative page-section same-background cta">
    <div class="wrapper">
        <?php if ( get_theme_mod( 'moral_magazine_pro_cta_title', __( 'Call To Action', 'moral-magazine-pro' ) ) ): ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_cta_title', __( 'Call To Action', 'moral-magazine-pro' ) ) ); ?></h2>
            </div>
        <?php endif ?>
        <?php foreach ( $content_details as $content ): ?>
            <div class="cta-post">
                <div class="cta-wrapper">
                    <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id']
                     ) ) ; ?>');"></div>
                    <div class="entry-container">
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ) ; ?>
                        </span>
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>
                        <div class="entry-meta">
                            <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                            <span class="comment">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                    <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                </a>
                            </span>
                            <span class="min-read">
                                <?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach ?>
    </div>
</div><!-- #magazine_pro_cta_section -->
