<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$editorial = get_theme_mod( 'moral_magazine_pro_editorial', 'cat' );
$editorial_count = get_theme_mod( 'moral_magazine_pro_editorial_num', 4 );

// Bail if the section is disabled.
if ( 'disable' === $editorial ) {
    return;
}

$content_detail = moral_magazine_pro_get_section_content( 'editorial', $editorial, $editorial_count );

?>
  
<div id="magazine_pro_editorial_section" class="relative page-section same-background editorial">
    <div class="wrapper">
        <?php if ( get_theme_mod( 'moral_magazine_pro_editorial_title', __( 'Featured News', 'moral-magazine-pro' ) ) ): ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_editorial_title', __( 'Featured News', 'moral-magazine-pro' ) ) ); ?></h2>
            </div>
        <?php endif ?>
        <div class="section-content <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_editorial_col_layout', 'col-4' ) ); ?>">
            <?php foreach ( $content_detail as $content ): ?>
                <article>
                    <div class="editorial-wrapper">
                        <div class="featured-image">
                            <img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ); ?>">
                        </div>
                        <div class="entry-container">
                            <span class="cat-links">
                                <?php the_category( '', '', $content['id'] ) ; ?>
                            </span>
                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url($content['url']) ; ?>"><?php echo esc_html($content['title']) ; ?>
                                    </a>
                                </h2>
                            </header>
                            <div class="entry-meta">
                                <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                                <span class="comment">
                                    <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                        <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                    </a>
                                </span>
                                <span class="min-read"><?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?></span>
                            </div>
                        </div>
                    </div>
                </article> 
            <?php endforeach ?>            
        </div> 
    </div>
</div>  <!-- #magazine_pro_editorial_section -->
