<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$education_news = get_theme_mod( 'moral_magazine_pro_education_news', 'cat' );
$education_news_num	= get_theme_mod( 'moral_magazine_pro_education_news_num', 5 ) ;
// Bail if the section is disabled.
if ( 'disable' === $education_news ) {
	return;
}

$content_details = moral_magazine_pro_get_section_content( 'education_news', $education_news, $education_news_num );

?>
<div id="education-news" class="relative primary-post education_news">
    <?php if ( get_theme_mod( 'moral_magazine_pro_education_news_title', __( 'Education News', 'moral-magazine-pro' ) ) ): ?>
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_education_news_title', __( 'Education News', 'moral-magazine-pro' ) ) ); ?></h2>
        </div>
    <?php endif ?>
    <div class="section-content grid">
        <?php $i=1; foreach ( $content_details as $content ): ?>
            <article class="grid-item">
                <div class="education-news-wrapper">
                    <div class="featured-image">
                        <img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>">
                    </div><!-- .featured-image -->

                    <div class="entry-container">
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>
                        <div class="entry-meta">
                            <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                            <span class="comment">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                    <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                </a>
                            </span>
                            <span class="min-read"><?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?></span>
                        </div>
                        <?php if ( $i == 1 ): ?>
                            <div class="entry-content">
                                <?php if ( get_theme_mod( 'moral_magazine_pro_homepage_content', 'content' ) == 'excerpt' ): ?>
                                         <p><?php echo get_the_excerpt( $content['id'] ) ?></p>
                                    <?php else: ?>  
                                        <p><?php echo esc_html( wp_trim_words( $content['content'] , 30 ) ) ; ?></p>
                                <?php endif ?>
                                
                            </div>
                        <?php endif ?>
                        
                    </div>
                </div>
            </article>
        <?php $i++; endforeach ?>       
    </div>
</div><!-- #travel-news-aection -->