<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$extra_news = get_theme_mod( 'moral_magazine_pro_extra_news', 'cat' );
$extra_news_count = get_theme_mod( 'moral_magazine_pro_extra_news_num', 4 );

// Bail if the section is disabled.
if ( 'disable' === $extra_news ) {
    return;
}

$content_detail = moral_magazine_pro_get_section_content( 'extra_news', $extra_news, $extra_news_count );

?>
  
<div id="magazine_pro_extra_news_section" class="relative page-section extra_news">
    <div class="wrapper">
        <?php if ( get_theme_mod( 'moral_magazine_pro_extra_news_title', __( 'Featured News', 'moral-magazine-pro' ) ) ): ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_extra_news_title', __( 'Featured News', 'moral-magazine-pro' ) ) ); ?></h2>
            </div>
        <?php endif ?>
        <div class="section-content <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_extra_news_col_layout', 'col-4' ) ); ?>">
            <?php foreach ( $content_detail as $content ): ?>
                <article>
                    <div class="extra-news-wrapper">
                        <div class="featured-image">
                            <img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ); ?>">
                            <div class="overlay"></div>
                        </div>
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ) ; ?>
                        </span>
                        <span class="comment">
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                            </a>
                        </span>

                        <div class="entry-container">                            
                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url($content['url']) ; ?>"><?php echo esc_html($content['title']) ; ?>
                                    </a>
                                </h2>
                            </header>
                        </div>
                    </div>
                </article> 
            <?php endforeach ?>            
        </div> 
    </div>
</div>  <!-- #magazine_pro_extra_news_section -->
