<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$featured_post = get_theme_mod( 'moral_magazine_pro_featured_post', 'enable' );
$featured_post_count = get_theme_mod( 'moral_magazine_pro_featured_post_num', 3 );

// Bail if the section is disabled.
if ( 'disable' === $featured_post ) {
    return;
}

?>
  
<div id="magazine_pro_featured_post_section" class="relative page-section same-background featured_post">
    <div class="wrapper">
        <div class="section-content col-3">
            <?php for ( $i=1; $i <= $featured_post_count ; $i++ ) { ?>
                <?php if ( !empty( get_theme_mod( 'moral_magazine_pro_featured_post_cat_'.$i ) ) && !empty( get_theme_mod( 'moral_magazine_pro_featured_post_cat_image_'.$i ) ) ): ?>
                    <article>
                        <div class="featured-post-item">
                            <div class="featured-image" style="background-image: url('<?php echo esc_url( get_theme_mod( 'moral_magazine_pro_featured_post_cat_image_'.$i ) ); ?>');">
                            </div>        
                           
                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url( get_category_link( get_theme_mod( 'moral_magazine_pro_featured_post_cat_'.$i ) ) ) ; ?>"><?php echo esc_html( ucfirst( get_cat_name( get_theme_mod( 'moral_magazine_pro_featured_post_cat_'.$i ) ) ) ) ; ?>
                                    </a>
                                </h2>
                            </header>
                        </div>
                    </article> 
                <?php endif ?>
                
            <?php } ?>            
        </div> 
    </div>
</div>  <!-- #magazine_pro_featured_post_section -->
