<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$grid_post = get_theme_mod( 'moral_magazine_pro_grid_post', 'cat' );

// Bail if the section is disabled.
if ( 'disable' === $grid_post ) {
    return;
}

$content_detail = moral_magazine_pro_get_section_content( 'grid_post', $grid_post, 5 );

?>
  
<div id="magazine_pro_grid_banner_section" class="relative page-section same-background grid_post">
    <div class="wrapper">
        <?php if ( get_theme_mod( 'moral_magazine_pro_grid_post_title', __( 'Featured News', 'moral-magazine-pro' ) ) ): ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_grid_post_title', __( 'Featured News', 'moral-magazine-pro' ) ) ); ?></h2>
            </div>
        <?php endif ?>
        <div class="grid col-3">
            <?php foreach ( $content_detail as $content ): ?>
                <article class="grid-item">
                    <div class="grid-banner-wrapper">
                        <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ); ?>');">
                            <div class="overlay"></div>
                        </div>
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ) ; ?>
                        </span>
                        <div class="entry-container">                            
                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url($content['url']) ; ?>"><?php echo esc_html($content['title']) ; ?>
                                    </a>
                                </h2>
                            </header>
                            <div class="entry-meta">
                                <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                                <span class="comment">
                                    <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                        <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                    </a>
                                </span>
                                <span class="min-read">
                                    <?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?>
                                </span>
                                
                            </div>
                        </div>
                    </div>
                </article> 
            <?php endforeach ?>            
        </div> 
    </div>
</div>  <!-- #magazine_pro_grid_post_section -->
