<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$latest_news = get_theme_mod( 'moral_magazine_pro_latest_news', 'cat' );
$latest_news_count = get_theme_mod( 'moral_magazine_pro_latest_news_num', 4 );

// Bail if the section is disabled.
if ( 'disable' === $latest_news ) {
    return;
}

$content_detail = moral_magazine_pro_get_section_content( 'latest_news', $latest_news, $latest_news_count );

?>
  
<div id="magazine_pro_latest_news_section" class="relative page-section same-background latest_news">
    <div class="wrapper">
        <?php if ( get_theme_mod( 'moral_magazine_pro_latest_news_title', __( 'Featured News', 'moral-magazine-pro' ) ) ): ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_latest_news_title', __( 'Featured News', 'moral-magazine-pro' ) ) ); ?></h2>
            </div>
        <?php endif ?>
        <div class="latest-news-slider" data-slick='{"slidesToShow": 3, "slidesToScroll": 1, "infinite": true, "speed": 800, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": false, "adaptiveHeight": true }'>
            <?php foreach ( $content_detail as $content ): ?>
                <article>
                    <div class="latest-news-wrapper">
                        <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ); ?>');">
                        </div>
      
                        <div class="entry-container">  
                            <span class="cat-links">
                                <?php the_category( '', '', $content['id'] ) ; ?>
                            </span>                          
                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url($content['url']) ; ?>"><?php echo esc_html($content['title']) ; ?>
                                    </a>
                                </h2>
                            </header>
                            <div class="entry-meta">
                                <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                                <span class="comment">
                                    <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                        <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                    </a>
                                </span>
                                <span class="min-read">
                                    <?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?>
                                </span>
                                
                            </div>
                        </div>
                    </div>
                </article> 
            <?php endforeach ?>            
        </div> 
    </div>
</div>  <!-- #magazine_pro_latest_news_section -->
