<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$post_slider = get_theme_mod( 'moral_magazine_pro_post_slider', 'cat' );
$post_slider_num	= get_theme_mod( 'moral_magazine_pro_post_slider_num', 4 ) ;
// Bail if the section is disabled.
if ( 'disable' === $post_slider ) {
	return;
}

$content_details = moral_magazine_pro_get_section_content( 'post_slider', $post_slider, $post_slider_num );

?>
<div id="magazine_pro_travel_column_section" class="relative primary-post post_slider">
    <div class="travel-column-slider" data-slick='{"slidesToShow": 3, "slidesToScroll": 1, "infinite": true, "speed": 800, "dots": false, "arrows":true, "autoplay": true, "draggable": true, "fade": false, "adaptiveHeight": true }'>
        <?php foreach ( $content_details as $content ): ?>
            <article>
                <div class="travel-column-wrapper">
                    <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
                        <div class="overlay"></div>
                    </div>
                    <div class="entry-container">
                        <span class="cat-links"><?php the_category( '', '', $content['id'] ) ; ?></span>
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>
                        <div class="entry-meta">
                            <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                            <span class="comment">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                    <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                </a>
                            </span>
                            <span class="min-read">
                                <?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?>
                            </span>
                        </div>
                    </div>
                </div>
            </article>
        <?php endforeach ?>
    </div><!-- .post_slider-news-post_slider -->
</div><!-- #post_slider-news-aection -->