<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$slider = get_theme_mod( 'moral_magazine_pro_slider', 'cat' );
$slider_num	= get_theme_mod( 'moral_magazine_pro_slider_num', 4 ) ;
// Bail if the section is disabled.
if ( 'disable' === $slider ) {
	return;
}

$content_details = moral_magazine_pro_get_section_content( 'slider', $slider, $slider_num );

?>
<div id="slider-news" class="relative primary-post slider">
    <?php if ( get_theme_mod( 'moral_magazine_pro_slider_title', __( 'Slider News', 'moral-magazine-pro' ) ) ): ?>
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'moral_magazine_pro_slider_title', __( 'Slider News', 'moral-magazine-pro' ) ) ); ?></h2>
        </div>
    <?php endif ?>

    <div class="slider-news-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": true, "draggable": true, "fade": false }'>
        <?php foreach ( $content_details as $content ): ?>
            <article>
                <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
                    <div class="overlay"></div>
                </div>
                <div class="entry-container">
                        <span class="cat-links"><?php the_category( '', '', $content['id'] ) ; ?></span>
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>
                        <div class="entry-content">
                            <?php if ( get_theme_mod( 'moral_magazine_pro_homepage_content', 'content' ) == 'excerpt' ): ?>
                                    <p><?php echo get_the_excerpt( $content['id'] ) ?></p>
                                <?php else: ?>  
                                    <p><?php echo esc_html( wp_trim_words( $content['content'] , 30 ) ) ; ?></p>
                            <?php endif ?>
                        </div><!-- .entry-content -->
                        <div class="entry-meta">
                            <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                            <span class="comment">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                    <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                </a>
                            </span>
                            <span class="min-read"><?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?></span>
                        </div>
                    </div>
            </article>
        <?php endforeach ?>
    </div><!-- .slider-news-slider -->
</div><!-- #slider-news-aection -->