<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Bail if the section is disabled.
if ( 'disable' === get_theme_mod( 'moral_magazine_pro_three_column', 'enable' ) ) {
    return;
}

$three_column_count = 3;

for ($i=1; $i <= 5 ; $i++) { 
    if ( get_theme_mod( 'moral_magazine_pro_three_column_col_layout', 'col-3' ) == 'col-'.$i ) {
        $three_column_count = $i;
    }
}


?>
<div id="magazine_pro_three_column_section" class="relative wrapper page-section same-background three_column">
    <div class="section-content <?php echo esc_attr( get_theme_mod( 'moral_magazine_pro_three_column_col_layout', 'col-3' ) ); ?>">
        <?php for ($i=1; $i <= $three_column_count; $i++) { ?>
            <div class="hentry clear">
                <?php if ( !empty( get_theme_mod( 'moral_magazine_pro_three_column_cat_'.$i ) ) ): ?>
                    <div class="section-header">
                        <h2 class="section-title"><?php echo esc_html( ucwords( get_cat_name( get_theme_mod( 'moral_magazine_pro_three_column_cat_'.$i ) ) ) ); ?></h2>
                    </div><!-- .section-header -->
                <?php endif ?>
                
                <div class="column-wrapper">
                    <?php  
                        $three_column_cat_id = get_theme_mod( 'moral_magazine_pro_three_column_cat_'.$i );
                        $args = array(
                            'cat' => $three_column_cat_id,   
                            'posts_per_page' =>  4,
                        );

                        $query = new WP_Query( $args );
                        if ( $query->have_posts() ) {
                            while ( $query->have_posts() ) {
                                $query->the_post();
                    ?>
                        <article>
                            <div class="three-column-wrapper">
                                <div class="featured-image">
                                    <img src="<?php echo esc_url( get_the_post_thumbnail_url( get_the_id() ) ) ; ?>">
                                </div>
                                <div class="entry-container">
                                    <header class="entry-header">
                                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                    </header>
                                    <div class="entry-meta">
                                        <?php moral_magazine_pro_posted_on( get_the_id() ) ; ?>
                                        <span class="comment">
                                            <a href="<?php the_permalink(); ?>">
                                                <i class="fa fa-comment" aria-hidden="true"></i>
                                                <?php echo esc_html( get_comments_number( get_the_id() ) ); ?>
                                            </a>
                                        </span>
                                        <span class="min-read"><?php echo moral_magazine_pro_time_interval( get_the_content() ); echo esc_html__(' min read', 'moral-magazine-pro'); ?></span>
                                    </div>
                                    <div class="entry-content">
                                        <?php if ( get_theme_mod( 'moral_magazine_pro_homepage_content', 'content' ) == 'excerpt' ): ?>
                                                 <p><?php echo get_the_excerpt( get_the_id() ) ?></p>
                                            <?php else: ?>  
                                                <p><?php echo esc_html( wp_trim_words( get_the_content() , 30 ) ) ; ?></p>
                                        <?php endif ?>
                                    </div>
                                </div><!-- .entry-container -->
                            </div>
                        </article>
                    <?php
                            }
                            wp_reset_postdata();
                        }
                    ?>
                        
                    
                </div>
            </div>
        <?php } ?>
    </div>
</div><!-- #magazine_pro_three_column_section -->
