<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$travel_advice = get_theme_mod( 'moral_magazine_pro_travel_advice', 'cat' );
$travel_advice_count = get_theme_mod( 'moral_magazine_pro_travel_advice_num', 4 );

// Bail if the section is disabled.
if ( 'disable' === $travel_advice ) {
    return;
}

$content_detail = moral_magazine_pro_get_section_content( 'travel_advice', $travel_advice, $travel_advice_count );

?>
  
<div id="magazine_pro_travel_advice_section" class="relative page-section travel_advice">
    <div class="wrapper">
        <div class="travel-advice-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 800, "dots": true, "arrows":true, "autoplay": false, "draggable": true, "fade": false, "adaptiveHeight": true }'>
            <?php foreach ( $content_detail as $content ): ?>
                <article style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ); ?>');">
                    <div class="overlay"></div>      
                    <div class="entry-container">  
                        <div class="border-top"></div>
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ) ; ?>
                        </span>                          
                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url($content['url']) ; ?>"><?php echo esc_html($content['title']) ; ?>
                                </a>
                            </h2>
                        </header>
                        <div class="entry-meta">
                            <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>
                            <span class="comment">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                    <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                </a>
                            </span>
                            <span class="min-read">
                                <?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?>
                            </span>
                            
                        </div>
                        <div class="border-bottom"></div>
                    </div>
                </article> 
            <?php endforeach ?>            
        </div> 
    </div>
</div>  <!-- #magazine_pro_travel_advice_section -->
