<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$trip_news = get_theme_mod( 'moral_magazine_pro_trip_news', 'cat' );
$trip_news_count = get_theme_mod( 'moral_magazine_pro_trip_news_num', 6 );

// Bail if the section is disabled.
if ( 'disable' === $trip_news ) {
    return;
}

$content_detail = moral_magazine_pro_get_section_content( 'trip_news', $trip_news, $trip_news_count );

?>
  
<div id="trip-news" class="relative page-section trip_news">
    <div class="grid col-2">
        <?php foreach ( $content_detail as $content ): ?>
            <article class="grid-item">
                <div class="trip-news-wrapper">
                    <div class="featured-image">
                        <img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ); ?>">
                    </div>

                    <div class="entry-container"> 
                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url($content['url']) ; ?>"><?php echo esc_html($content['title']) ; ?>
                                </a>
                            </h2>
                        </header>

                        <div class="entry-meta">
                            <?php moral_magazine_pro_posted_on( $content['id'] ) ; ?>     
                            <span class="comment">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                    <i class="fa fa-comment" aria-hidden="true"></i><?php echo esc_html( get_comments_number( $content['id'] ) ); ?>
                                </a>
                            </span>
                            <span class="min-read">
                                <?php echo moral_magazine_pro_time_interval( $content['content'] ); echo esc_html__(' min read', 'moral-magazine-pro'); ?>
                            </span>
                            
                        </div>
                        <div class="entry-content">
                            <?php if ( get_theme_mod( 'moral_magazine_pro_homepage_content', 'content' ) == 'excerpt' ): ?>
                                    <p><?php echo get_the_excerpt( $content['id'] ) ?></p>
                                <?php else: ?>  
                                    <p><?php echo esc_html( wp_trim_words( $content['content'] , 30 ) ) ; ?></p>
                            <?php endif ?>
                        </div><!-- .entry-content -->
                        
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ) ; ?>
                        </span>
                    </div>
                </div>
            </article> 
        <?php endforeach ?>            
    </div> 
</div>  <!-- #magazine_pro_trip_news_section -->
